PHP 手册
上一页 |  | 下一页

# finfo_buffer

(PECL)

finfo_buffer -- Return information about a string buffer

## 说明

string finfo_buffer ( resource finfo, string string [, int options] )
class finfo {
string buffer ( string string [, int options] )
}

This function is used to get information about binary data in a string.

## 参数

`finfo`

  Fileinfo resource returned by finfo_open().

`string`

  Content of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

## 返回值

Returns a textual description of the `string` argument, or `FALSE` if an error occurred.

## 范例

例 1. A finfo_buffer() example

`<?php $finfo = new finfo(FILEINFO_MIME); echo $finfo->buffer($_POST["script"]) . "\n"; ?>`

上例的输出类似于：

    application/x-sh

## 参见

finfo_file()

上一页 | 起始页 | 下一页
Fileinfo Functions | 上一级 | finfo_close